## Avatar
An Avatar.

[![](https://cdn-images-1.medium.com/fit/c/120/120/1*TD1P0HtIH9zF0UEH28zYtw.png)](https://storybook.grommet.io/?selectedKind=Visualizations-Avatar&full=0&stories=1&panelRight=0) [![](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/github/grommet/grommet-sandbox?initialpath=/avatar&module=%2Fsrc%2FAvatar.js)
## Usage

```javascript
import { Avatar } from 'grommet';
<Avatar/>
```

## Properties

**size**

A fixed size. Defaults to `medium`.

```
xsmall
small
medium
large
xlarge
2xl
3xl
4xl
5xl
string
```

**src**

Specifies a URL string for an avatar image.

```
string
```
  
## Intrinsic element

```
div
```
## Theme
  
**avatar.extend**

Any additional style for the Avatar. Expects `string | (props) => {}`.

Defaults to

```
undefined
```

**avatar.size.xsmall**

The xsmall size of the Avatar. Expects `string`.

Defaults to

```
18px
```

**avatar.size.small**

The small size of the Avatar. Expects `string`.

Defaults to

```
24px
```

**avatar.size.medium**

The medium size of the Avatar. Expects `string`.

Defaults to

```
48px
```

**avatar.size.large**

The large size of the Avatar. Expects `string`.

Defaults to

```
72px
```

**avatar.size.xlarge**

The xlarge size of the Avatar. Expects `string`.

Defaults to

```
96px
```

**avatar.size.2xl**

The 2xlarge size of the Avatar. Expects `string`.

Defaults to

```
120px
```

**avatar.size.3xl**

The 3xlarge size of the Avatar. Expects `string`.

Defaults to

```
144px
```

**avatar.size.4xl**

The 4xlarge size of the Avatar. Expects `string`.

Defaults to

```
168px
```

**avatar.size.5xl**

The 5xlarge size of the Avatar. Expects `string`.

Defaults to

```
192px
```

**avatar.text.extend**

Any additional style for the text. Expects `string | (props) => {}`.

Defaults to

```
undefined
```

**avatar.text.fontWeight**

The font weight of the label. Expects `number`.

Defaults to

```
undefined
```

**avatar.text.size.xsmall**

The size of the text that is mapped according to 'avatar.size.xsmall'. Expects `string`.

Defaults to

```
14px
```

**avatar.text.size.small**

The size of the text that is mapped according to 'avatar.size.small'. Expects `string`.

Defaults to

```
18px
```

**avatar.text.size.medium**

The size of the text that is mapped according to 'avatar.size.medium'. Expects `string`.

Defaults to

```
22px
```

**avatar.text.size.large**

The size of the text that is mapped according to 'avatar.size.large'. Expects `string`.

Defaults to

```
26px
```

**avatar.text.size.xlarge**

The size of the text that is mapped according to 'avatar.size.xlarge'. Expects `string`.

Defaults to

```
34px
```

**avatar.text.size.2xl**

The size of the text that is mapped according to 'avatar.size.2xl'. Expects `string`.

Defaults to

```
42px
```

**avatar.text.size.3xl**

The size of the text that is mapped according to 'avatar.size.3xl'. Expects `string`.

Defaults to

```
54px
```

**avatar.text.size.4xl**

The size of the text that is mapped according to 'avatar.size.4xl'. Expects `string`.

Defaults to

```
70px
```

**avatar.text.size.5xl**

The size of the text that is mapped according to 'avatar.size.5xl'. Expects `string`.

Defaults to

```
90px
```
