import React from 'react';
import { Box, DataChart, Grommet } from 'grommet';
import { grommet } from 'grommet/themes';
var data = [];

for (var i = 1; i < 8; i += 1) {
  var v = Math.sin(i / 2.0);
  data.push({
    percent: Math.abs(v * 100)
  });
}

export var Pattern = function Pattern() {
  return /*#__PURE__*/React.createElement(Grommet, {
    theme: grommet
  }, /*#__PURE__*/React.createElement(Box, {
    align: "center",
    justify: "start",
    pad: "large"
  }, /*#__PURE__*/React.createElement(DataChart, {
    data: data,
    series: "percent",
    chart: [{
      property: 'percent',
      type: 'area',
      thickness: 'xsmall',
      color: 'graph-0',
      opacity: 'strong',
      pattern: 'squares'
    }]
  })));
};
export default {
  title: 'Visualizations/DataChart/Pattern'
};